#include <GL/glew.h>

#include "earth.h"

#include <iostream>

//#include "windows.h"

//#include <GL/gl.h>

#include <glm/gtx/transform.hpp>

#include "gui/config.h"

#include "planets/path.h"

Earth::Earth(std::string name, float radius, float distance, float hoursPerDay, float daysPerYear, std::string textureLocation):
    Planet(name, radius, distance, hoursPerDay, daysPerYear, textureLocation),
    _cloudRotation(0), _cloudRotationSpeed(0.01)
{

}

void Earth::init()
{
    /// TODO: your code here

}

std::string Earth::getFragmentShader() const
{
    /// TODO: your code here
    return "";
}

void Earth::beforeDraw() const
{
    /// TODO: your code here

}


void Earth::update(float elapsedTimeMs, glm::mat4 modelViewMatrix)
{
    /// TODO: your code here
}


